com.fasterxml.jackson.databind.util

## Interface Provider<T>

Type Parameters:
  `T` - Type of objects provided

Deprecated.

    @Deprecated
    public interface Provider<T>

Simple helper class used for decoupling instantiation of optionally loaded handlers, like deserializers and deserializers for libraries that are only present on some platforms.

Since:
  2.2 Not really needed that much, will be eventually removed
Author:
  tatu

### Method Summary

Methods
`Collection<T>` `provide()` Deprecated. Method used to request provider to provide entries it has

### Method Detail

#### provide

    Collection<T> provide()

Deprecated.
Method used to request provider to provide entries it has